#if !defined(AFX_CPUDLG_H__057C0B65_C102_4816_9738_C2B35921C31D__INCLUDED_)
#define AFX_CPUDLG_H__057C0B65_C102_4816_9738_C2B35921C31D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CPUDlg.h : wb_[ t@C
//
#include "../SysInfo/ISysInfo.h"
#include "../SysInfo/ItemID.h"
#include "Share.h"

/////////////////////////////////////////////////////////////////////////////
// CCPUDlg _CAO

class CCPUDlg : public CDialog
{
// RXgNV
public:
	CCPUDlg(CWnd* pParent = NULL);   // W̃RXgN^
	~CCPUDlg();
	CString m_MSRInfo;
	CString m_CPUNameSI;

	CString	m_L1ICache;
	CString	m_L1TCache;
	CString	m_L1UCache;

	BOOL m_UnableRdtsc;
// _CAO f[^
	//{{AFX_DATA(CCPUDlg)
	enum { IDD = IDD_CPU_DIALOG };
	CStatic	m_VTC;
	CStatic	m_NX;
	CStatic	m_SpeedStep;
	CStatic	m_PowerNow;
	CStatic	m_LongRun;
	CStatic	m_LongHaul;
	CStatic	m_IA32e;
	CStatic	m_SSE3C;
	CStatic	m_IA64C;
	CStatic	m_AA64C;
	CListCtrl	m_CPUCacheList;
	CStatic	m_SSEC;
	CStatic	m_SSE2C;
	CStatic	m_MMXExC;
	CStatic	m_MMXC;
	CStatic	m_3DNowC;
	CStatic	m_3DNowExC;
	CStatic	m_HTC;
	CComboBox	m_CPUSelectC;
	CString	m_BrandID;
	CString	m_CacheL1ITU;
	CString	m_CacheL1ITUUnit;
	CString	m_Clock;
	CString	m_ClockOri;
	CString	m_CPUName;
	CString	m_CPUNumber;
	CString	m_DataRate;
	CString	m_ExFamily;
	CString	m_ExModel;
	CString	m_ExModelEx;
	CString	m_ExStepping;
	CString	m_Family;
	CString	m_FamilyEx;
	CString	m_L1DataCache;
	CString	m_L1ITUCache;
	CString	m_L2Cache;
	CString	m_L2CacheSpeed;
	CString	m_L2CacheSpeedMHz;
	CString	m_L3Cache;
	CString	m_Model;
	CString	m_ModelEx;
	CString	m_Multiplier;
	CString	m_MultiplierOri;
	CString	m_NameString;
	CString	m_OverClock;
	CString	m_Stepping;
	CString	m_SystemBus;
	CString	m_SystemBusOri;
	CString	m_SystemClock;
	CString	m_SystemClockOri;
	CString	m_VendorString;
	CString	m_HyperThreading;
	CString	m_Platform;
	CString	m_CPUType;
	CString	m_Apic;
	CString	m_CodeName;
	CString	m_CPUCPUIDNew;
	CString	m_ProcessRule;
	CString	m_Architecture;
	CString	m_OS;
	CString	m_PlatformId;
	CString	m_CpuTypeId;
	CString	m_MicrocodeId;
	CString	m_Memory;
	//}}AFX_DATA


// I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CCPUDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	ISysInfo* SysInfo;
//	BOOL m_FlagEnglish;
	HICON m_hIcon;
	DWORD m_Mask; // CPU ̔ԍ(ʏ 0 ) }XN̂̂ł͂ȂƂɒ!!
	void Refresh(BOOL flag);


	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CCPUDlg)
		virtual BOOL OnInitDialog();
		afx_msg void OnPaint();
		afx_msg HCURSOR OnQueryDragIcon();
		afx_msg void OnDestroy();
		virtual void OnOK();
		virtual void OnCancel();
		afx_msg void OnSelchangeCpuSelect();
		afx_msg BOOL OnToolTipNotify( UINT id, NMHDR * pTTTStruct, LRESULT * pResult );
		afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_CPUDLG_H__057C0B65_C102_4816_9738_C2B35921C31D__INCLUDED_)
