#if !defined(AFX_DEVICEDLG_H__55D82439_FC5A_4452_9E3C_EC241EAD9CE5__INCLUDED_)
#define AFX_DEVICEDLG_H__55D82439_FC5A_4452_9E3C_EC241EAD9CE5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeviceDlg.h : wb_[ t@C
//
#include "../SysInfo/ISysInfo.h"
#include "../SysInfo/ItemID.h"
/////////////////////////////////////////////////////////////////////////////
// CDeviceDlg _CAO

class CDeviceDlg : public CDialog
{
// RXgNV
public:
	CDeviceDlg(CWnd* pParent = NULL);   // W̃RXgN^

	void SetNetworkInfo(int id);

	// ChipSet + Video
	CString m_DeviceNorthVID;
	CString m_DeviceSouthVID;
	CString m_DeviceVideoVID;
	CString m_DeviceNorthDID;
	CString m_DeviceSouthDID;
	CString m_DeviceVideoDID;
	CString m_DeviceNorthRID;
	CString m_DeviceSouthRID;
	CString m_DeviceVideoRID;

// _CAO f[^
	//{{AFX_DATA(CDeviceDlg)
	enum { IDD = IDD_DEVICE_DIALOG };
	CEdit	m_NetDhcpServerC;
	CEdit	m_NetAdapterNameC;
	CEdit	m_NetDefaultGatewayC;
	CEdit	m_NetDnsServerC;
	CEdit	m_NetIpAddressC;
	CEdit	m_NetMacAddressC;
	CEdit	m_NetSubnetMaskC;
	CListCtrl	m_DeviceNetworkList;
	CString	m_DeviceChipSet;
	CString	m_DeviceIDE;
	CString	m_DeviceNorth;
	CString	m_DeviceSouth;
	CString	m_DeviceVideo;
	CString	m_DeviceVideoChip;
	CString	m_DeviceVideoVendor;
	CString	m_DeviceVideoRAM;
	CString	m_DeviceVideoCaption;
	CString	m_DeviceVideoDriverDate;
	CString	m_DeviceVideoDriverVersion;
	CString	m_DeviceDirectXVersion;
	CString	m_DeviceDisplayMode;
	CString	m_DeviceFont;
	CString	m_DeviceFontSmoothing;
	CString	m_NetMacAddress;
	CString	m_NetIpAddress;
	CString	m_NetDnsServer;
	CString	m_NetDhcpServer;
	CString	m_NetDefaultGateway;
	CString	m_NetAdapterName;
	CString	m_NetSubnetMask;
	//}}AFX_DATA


// I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CDeviceDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	ISysInfo* SysInfo;
	void GetDirectXVersion();
	void GetDisplayMode();

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CDeviceDlg)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg LONG OnDisplayChange(UINT wParam, LONG lParam);
	afx_msg void OnClickDeviceNetworkList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_DEVICEDLG_H__55D82439_FC5A_4452_9E3C_EC241EAD9CE5__INCLUDED_)
