// CPUDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "CrystalMark.h"
#include "CrystalMarkDlg.h"
#include "CPUDlg.h"
#include "../common/GetOSInfo.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CCrystalMarkDlg* Parent;

/////////////////////////////////////////////////////////////////////////////
// CCPUDlg _CAO


CCPUDlg::CCPUDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCPUDlg::IDD, pParent)
{
	SysInfo = ((CCrystalMarkDlg*)pParent)->SysInfo;
	Parent = (CCrystalMarkDlg*)pParent;
	//{{AFX_DATA_INIT(CCPUDlg)
	m_BrandID = _T("");
	m_CacheL1ITU = _T("");
	m_CacheL1ITUUnit = _T("");
	m_Clock = _T("");
	m_ClockOri = _T("");
	m_CPUName = _T("");
	m_CPUNumber = _T("");
	m_DataRate = _T("");
	m_ExFamily = _T("");
	m_ExModel = _T("");
	m_ExStepping = _T("");
	m_Family = _T("");
	m_FamilyEx = _T("");
	m_ModelEx = _T("");
	m_L1DataCache = _T("");
	m_L1ITUCache = _T("");
	m_L2Cache = _T("");
	m_L2CacheSpeed = _T("");
	m_L2CacheSpeedMHz = _T("");
	m_L3Cache = _T("");
	m_Model = _T("");
	m_Multiplier = _T("");
	m_MultiplierOri = _T("");
	m_NameString = _T("");
	m_OverClock = _T("");
	m_Stepping = _T("");
	m_SystemBus = _T("");
	m_SystemBusOri = _T("");
	m_SystemClock = _T("");
	m_SystemClockOri = _T("");
	m_VendorString = _T("");
	m_HyperThreading = _T("");
	m_Platform = _T("");
	m_CPUType = _T("");
	m_Apic = _T("");
	m_CodeName = _T("");
	m_CPUCPUIDNew = _T("");
	m_ProcessRule = _T("");
	m_Architecture = _T("");
	m_OS = _T("");
	m_PlatformId = _T("");
	m_CpuTypeId = _T("");
	m_MicrocodeId = _T("");
	m_Memory = _T("");
	//}}AFX_DATA_INIT
}

BEGIN_MESSAGE_MAP(CCPUDlg, CDialog)
	//{{AFX_MSG_MAP(CCPUDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_DESTROY()
	ON_CBN_SELCHANGE(IDC_CPU_CPU_SELECT, OnSelchangeCpuSelect)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCPUDlg bZ[W nh


CCPUDlg::~CCPUDlg()
{
}

void CCPUDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCPUDlg)
	DDX_Control(pDX, IDC_CPU_VT, m_VTC);
	DDX_Control(pDX, IDC_CPU_NX, m_NX);
	DDX_Control(pDX, IDC_CPU_SPEED_STEP, m_SpeedStep);
	DDX_Control(pDX, IDC_CPU_POWER_NOW, m_PowerNow);
	DDX_Control(pDX, IDC_CPU_LONG_RUN, m_LongRun);
	DDX_Control(pDX, IDC_CPU_LONG_HAUL, m_LongHaul);
	DDX_Control(pDX, IDC_CPU_IA32E, m_IA32e);
	DDX_Control(pDX, IDC_CPU_SSE3, m_SSE3C);
	DDX_Control(pDX, IDC_CPU_INTEL_64, m_IA64C);
	DDX_Control(pDX, IDC_CPU_AMD_64, m_AA64C);
	DDX_Control(pDX, IDC_CPU_CACHE_LIST, m_CPUCacheList);
	DDX_Control(pDX, IDC_CPU_SSE, m_SSEC);
	DDX_Control(pDX, IDC_CPU_SSE2, m_SSE2C);
	DDX_Control(pDX, IDC_CPU_MMX_EX, m_MMXExC);
	DDX_Control(pDX, IDC_CPU_MMX, m_MMXC);
	DDX_Control(pDX, IDC_CPU_3DNOW, m_3DNowC);
	DDX_Control(pDX, IDC_CPU_3DNOW_EX, m_3DNowExC);
	DDX_Control(pDX, IDC_CPU_HT, m_HTC);
	DDX_Control(pDX, IDC_CPU_VT, m_VTC);
	DDX_Control(pDX, IDC_CPU_CPU_SELECT, m_CPUSelectC);
	DDX_Text(pDX, IDC_CPU_BRAND_ID, m_BrandID);
	DDX_Text(pDX, IDC_CPU_CACHE_L1_ITU, m_CacheL1ITU);
	DDX_Text(pDX, IDC_CPU_CACHE_L1_ITU_UNIT, m_CacheL1ITUUnit);
	DDX_Text(pDX, IDC_CPU_CLOCK, m_Clock);
	DDX_Text(pDX, IDC_CPU_CLOCK_ORI, m_ClockOri);
	DDX_Text(pDX, IDC_CPU_CPU_NAME, m_CPUName);
	DDX_Text(pDX, IDC_CPU_CPU_NUMBER, m_CPUNumber);
	DDX_Text(pDX, IDC_CPU_DATA_RATE, m_DataRate);
	DDX_Text(pDX, IDC_CPU_EX_FAMILY, m_ExFamily);
	DDX_Text(pDX, IDC_CPU_EX_MODEL, m_ExModel);
	DDX_Text(pDX, IDC_CPU_EX_STEPPING, m_ExStepping);
	DDX_Text(pDX, IDC_CPU_FAMILY, m_Family);
	DDX_Text(pDX, IDC_CPU_FAMILY_EX, m_FamilyEx);
	DDX_Text(pDX, IDC_CPU_L1_D_CACHE, m_L1DataCache);
	DDX_Text(pDX, IDC_CPU_L1_ITU_CACHE, m_L1ITUCache);
	DDX_Text(pDX, IDC_CPU_L2_CACHE, m_L2Cache);
	DDX_Text(pDX, IDC_CPU_L2_CACHE_SPEED, m_L2CacheSpeed);
	DDX_Text(pDX, IDC_CPU_L2_CACHE_SPEED_MHZ, m_L2CacheSpeedMHz);
	DDX_Text(pDX, IDC_CPU_L3_CACHE, m_L3Cache);
	DDX_Text(pDX, IDC_CPU_MODEL, m_Model);
	DDX_Text(pDX, IDC_CPU_MODEL_EX, m_ModelEx);
	DDX_Text(pDX, IDC_CPU_MULTIPLIER, m_Multiplier);
	DDX_Text(pDX, IDC_CPU_MULTIPLIER_ORI, m_MultiplierOri);
	DDX_Text(pDX, IDC_CPU_NAME_STRING, m_NameString);
	DDX_Text(pDX, IDC_CPU_OVER_CLOCK, m_OverClock);
	DDX_Text(pDX, IDC_CPU_STEPPING, m_Stepping);
	DDX_Text(pDX, IDC_CPU_SYSTEM_BUS, m_SystemBus);
	DDX_Text(pDX, IDC_CPU_SYSTEM_BUS_ORI, m_SystemBusOri);
	DDX_Text(pDX, IDC_CPU_SYSTEM_CLOCK, m_SystemClock);
	DDX_Text(pDX, IDC_CPU_SYSTEM_CLOCK_ORI, m_SystemClockOri);
	DDX_Text(pDX, IDC_CPU_VENDOR_STRING, m_VendorString);
	DDX_Text(pDX, IDC_CPU_HYPER_THREADING, m_HyperThreading);
	DDX_Text(pDX, IDC_CPU_PLATFORM, m_Platform);
	DDX_Text(pDX, IDC_CPU_TYPE, m_CPUType);
	DDX_Text(pDX, IDC_CPU_APIC, m_Apic);
	DDX_Text(pDX, IDC_CPU_CODE_NAME, m_CodeName);
	DDX_Text(pDX, IDC_CPU_PROCESS_RULE, m_ProcessRule);
	DDX_Text(pDX, IDC_CPU_ARCHITECTURE, m_Architecture);
	DDX_Text(pDX, IDC_CPU_OS, m_OS);
	DDX_Text(pDX, IDC_CPU_PLATFORM_ID, m_PlatformId);
	DDX_Text(pDX, IDC_CPU_TYPE_ID, m_CpuTypeId);
	DDX_Text(pDX, IDC_CPU_MICROCODE_ID, m_MicrocodeId);
	DDX_Text(pDX, IDC_CPU_MEMORY, m_Memory);
	//}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CCPUDlg

BOOL CCPUDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
//	SetIcon(m_hIcon, TRUE);
//	SetIcon(m_hIcon, FALSE);
/*
	HMENU hMenu = ::GetSystemMenu(m_hWnd,FALSE);
	RemoveMenu(hMenu,SC_MAXIMIZE, FALSE);
	RemoveMenu(hMenu,SC_SIZE, FALSE);

	// INI t@C̏ꏊݒ
	char ini[MAX_PATH];
	char* ptrEnd;
	char buf[256];
	::GetModuleFileName(NULL,ini, MAX_PATH);
	if ( (ptrEnd = strrchr(ini, '\\')) != NULL ) {
		*ptrEnd = '\0';
		strcat(ini, "\\CrystalCPUID.ini");
	}
	GetPrivateProfileString("Setting","EnglishMode","0",buf,256,ini);
	m_FlagEnglish = atoi(buf);


	if(! m_FlagEnglish){
		EnableToolTips(TRUE);
	}
*/
	m_Mask = 0;
	m_UnableRdtsc = FALSE;

	Refresh(FALSE);
	return TRUE; 
}
/*
BOOL CCPUDlg::OnToolTipNotify( UINT id, NMHDR * pNMHDR, LRESULT * pResult )
{
	TOOLTIPTEXT *pTTT = (TOOLTIPTEXT *)pNMHDR;
    UINT nID =pNMHDR->idFrom;
    if (pTTT->uFlags & TTF_IDISHWND)
    {
        // idFrom is actually the HWND of the tool
        nID = ::GetDlgCtrlID((HWND)nID);
        if(nID)
        {
            pTTT->lpszText = MAKEINTRESOURCE(nID);
            pTTT->hinst = AfxGetResourceHandle();
            return(TRUE);
        }
    }
    return(FALSE);
}
*/
void CCPUDlg::OnPaint() 
{
	CDialog::OnPaint();
}

HCURSOR CCPUDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CCPUDlg::OnDestroy() 
{
	CDialog::OnDestroy();
}

void CCPUDlg::OnOK() 
{
//	CDialog::OnOK();
}

void CCPUDlg::OnCancel() 
{
//	CDialog::OnCancel();
}

void CCPUDlg::Refresh(BOOL flag)
{
	m_CPUNameSI = "";
	m_CPUName = "";  
	m_VendorString = "";  
	m_NameString = "";  
	m_DataRate = "";  
	m_Clock = "";    
	m_SystemBus = "";    
	m_SystemClock = "";    
	m_Multiplier = "";    
	m_ClockOri = "";    
	m_SystemClockOri = "";    
	m_SystemBusOri = "";  
	m_MultiplierOri = "";  
	m_CPUNumber = "";  
	m_Family = "";  
	m_Model = "";  
	m_Stepping = "";  
	m_ExFamily = "";  
	m_FamilyEx = "";  
	m_ModelEx = "";  
	m_ExModel = "";  
	m_ExStepping = "";  
	m_OverClock = "";  
	m_L1ITUCache = "";  
	m_L1DataCache = "";  
	m_L2Cache = "";  
	m_L3Cache = "";
	m_L2CacheSpeedMHz = "";
	m_L2CacheSpeed = "";
	m_Apic = "";
	m_BrandID = "";
	m_Platform = "";
	m_CPUType = "";
	m_CodeName = "";
	m_ProcessRule = "";
	m_MSRInfo = "";
	m_HyperThreading = "";

//	m_OS = "";

	m_MMXC.EnableWindow(FALSE);
	m_MMXExC.EnableWindow(FALSE);
	m_SSEC.EnableWindow(FALSE);
	m_SSE2C.EnableWindow(FALSE);
	m_SSE3C.EnableWindow(FALSE);
	m_3DNowC.EnableWindow(FALSE);
	m_3DNowExC.EnableWindow(FALSE);
	m_HTC.EnableWindow(FALSE);
	m_VTC.EnableWindow(FALSE);
	m_IA64C.EnableWindow(FALSE);
	m_AA64C.EnableWindow(FALSE);

	m_SpeedStep.EnableWindow(FALSE);
	m_PowerNow.EnableWindow(FALSE);
	m_LongHaul.EnableWindow(FALSE);
	m_LongRun.EnableWindow(FALSE);
	m_IA32e.EnableWindow(FALSE);
	m_NX.EnableWindow(FALSE);

//	m_CPUCPUIDC.SetBackgroundColor(FALSE,GetSysColor(COLOR_3DFACE));

	m_CPUCacheList.DeleteAllItems();

	UpdateData(FALSE);
	Invalidate();
	UpdateWindow();

	BeginWaitCursor();

// CPU Info
	CString cstr;
	char str[256],str1[256],str2[256];
	int data,data1,data2;
	DWORD Version,VersionEx;

	if( Parent->SysInfo == NULL ){
		Parent->ConnectSysInfo(0);
		SysInfo = Parent->SysInfo;
		data = 0;
		SysInfo->GetData(CPU_UPDATE_BASE + m_Mask,(DWORD*)&data);
	}
//	SysInfo->GetString(SI_VERSION,str);
//	wsprintf(CrystalCPUIDVersion,CRYSTAL_CPUID_VERSION,str);
//	m_VersionInfo.Format("CrystalCPUID %s by hiyohiyo [ http://kotan.ec.hokudai.ac.jp/~hiyohiyo/ ]",CrystalCPUIDVersion);

//	cstr.Format("CrystalCPUID %s",CrystalCPUIDVersion);
//	SetWindowText(cstr);

	SysInfo->GetString(CPU_VENDOR_STRING,str);		m_VendorString = str;
	if(m_VendorString.GetLength() > 0){
		SysInfo->GetData(CPU_FLAG_BRAND,(DWORD*)&data);
//		SetCPUIDInfo(data);
	}
	
	SysInfo->GetString(CPU_NAME_SYS_INFO,str);		m_CPUNameSI = str;
	SysInfo->GetString(CPU_FULL_NAME,str);			m_CPUName = str;
	SysInfo->GetString(CPU_NAME_STRING,str);		m_NameString = str;

	SysInfo->GetString(CPU_CODE_NAME,str);			m_CodeName = str;
	SysInfo->GetString(CPU_PROCESS_RULE,str);		m_ProcessRule = str;
	SysInfo->GetString(CPU_PLATFORM_NAME,str);		m_Platform = str;
	SysInfo->GetString(CPU_TYPE_NAME,str);			m_CPUType  = str;
	SysInfo->GetString(CPU_FSB_MODE,str);			m_DataRate = str;

	SysInfo->GetString(CPU_CLOCK,str);				if(atof(str)>0.0){m_Clock = str;}else{m_UnableRdtsc = TRUE;}
	SysInfo->GetString(CPU_SYSTEM_BUS,str);			if(atof(str)>0.0){m_SystemBus = str;}
	SysInfo->GetString(CPU_SYSTEM_CLOCK,str);		if(atof(str)>0.0){m_SystemClock = str;}
	SysInfo->GetString(CPU_MULTIPLIER,str);			if(atof(str)>0.0){m_Multiplier = str;}

	SysInfo->GetString(CPU_CLOCK_ORI,str);			if(atof(str)>0.0){m_ClockOri = str;}
	SysInfo->GetString(CPU_SYSTEM_CLOCK_ORI,str);	if(atof(str)>0.0){m_SystemClockOri = str;}
	SysInfo->GetString(CPU_SYSTEM_BUS_ORI,str);		if(atof(str)>0.0){m_SystemBusOri = str;}
	SysInfo->GetString(CPU_MULTIPLIER_ORI,str);		if(atof(str)>0.0){m_MultiplierOri = str;}

	SysInfo->GetData(CPU_NUMBER,(DWORD*)&data);		if(data>0){m_CPUNumber.Format("%d",data);};
	int Number = data;
	SysInfo->GetData(CPU_PLATFORM_ID,(DWORD*)&data);	if(data>0){m_PlatformId.Format("%d",data);};
	SysInfo->GetData(CPU_MICROCODE_ID,(DWORD*)&data);	if(data>0){m_MicrocodeId.Format("%02X",data);};
	SysInfo->GetData(CPU_TYPE_ID,(DWORD*)&data);		if(data>=0){m_CpuTypeId.Format("%X",data);};

// R{{bNX̐ݒ
	m_CPUSelectC.ResetContent();
	for(int i=1;i <= Number;i++){
		cstr.Format("CPU%2d",i);
		m_CPUSelectC.AddString(cstr);
	}
	m_CPUSelectC.SetCurSel(m_Mask);

	SysInfo->GetData(CPU_VERSION,&Version);
	if(Version != 0){
		m_Family = SysInfo->GetInfo(CPU_FAMILY,str);
		m_Model = SysInfo->GetInfo(CPU_MODEL,str);
		m_Stepping = SysInfo->GetInfo(CPU_STEPPING,str);
		if(! m_Family.Compare("F")){
			m_FamilyEx = SysInfo->GetInfo(CPU_FAMILY_EX,str);
		}
		SysInfo->GetData(CPU_MODEL_EX,(DWORD*)&data);
		if(data > 0 || ! m_Model.Compare("F")){
			m_ModelEx = SysInfo->GetInfo(CPU_MODEL_EX,str);
		}
	}
	SysInfo->GetData(CPU_VERSION_EX,&VersionEx);
	if(VersionEx != 0){
		m_ExFamily = SysInfo->GetInfo(CPU_EX_FAMILY,str);
		m_ExModel = SysInfo->GetInfo(CPU_EX_MODEL,str);
		m_ExStepping = SysInfo->GetInfo(CPU_EX_STEPPING,str);
	}

// OverClock
	if(atof(m_Clock) > 0.0 && atof(m_ClockOri) > 0.0){
		sprintf(str,"%.2f",( atof(m_Clock) / atof(m_ClockOri) ) * 100.0 - 100.0);
		m_OverClock = str;
	}

	SysInfo->GetData(CPU_BRAND_ID,(DWORD*)&data);			if(data > 0){cstr.Format("%02X",data);m_BrandID = cstr;}
	SysInfo->GetData(CPU_APIC,(DWORD*)&data);				if(data >= 0){cstr.Format("%02X",data);m_Apic = cstr;}
	SysInfo->GetData(CPU_HYPER_THREAD_NUM,(DWORD*)&data);	if(data > 0){cstr.Format("%d",data);m_HyperThreading = cstr;}

	SysInfo->GetData(CPU_FLAG_MMX,(DWORD*)&data);			if(data != -1){m_MMXC.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_MMX_EX,(DWORD*)&data);		if(data != -1){m_MMXExC.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_SSE,(DWORD*)&data);			if(data != -1){m_SSEC.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_SSE2,(DWORD*)&data);			if(data != -1){m_SSE2C.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_SSE3,(DWORD*)&data);			if(data != -1){m_SSE3C.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_3DNOW,(DWORD*)&data);			if(data != -1){m_3DNowC.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_3DNOW_EX,(DWORD*)&data);		if(data != -1){m_3DNowExC.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_HYPER_THREAD,(DWORD*)&data);	if(data != -1){m_HTC.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_VT,(DWORD*)&data);			if(data != -1){m_VTC.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_IA64,(DWORD*)&data);			if(data != -1){m_IA64C.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_AA64,(DWORD*)&data);			if(data != -1){m_AA64C.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_IA32E,(DWORD*)&data);			if(data != -1){m_IA32e.EnableWindow(data);}
	SysInfo->GetData(CPU_FLAG_NX,(DWORD*)&data);			if(data != -1){m_NX.EnableWindow(data);}


// Memory
	MEMORYSTATUS MemStatus;
	GlobalMemoryStatus(&MemStatus);
	m_Memory.Format("%d",MemStatus.dwTotalPhys / 1024 / 1024 + 1);

// Power Mangement Flag
	SysInfo->GetData(CPU_FLAG_SPEED_STEP,(DWORD*)&data);
	if( data > 0 ){
		m_SpeedStep.EnableWindow(TRUE);
	}
	SysInfo->GetData(CPU_FLAG_POWER_NOW,(DWORD*)&data);
	if( data > 0 ){
		m_PowerNow.EnableWindow(TRUE);
	}
	SysInfo->GetData(CPU_FLAG_LONG_HAUL,(DWORD*)&data);
	if( data > 0 ){
		m_LongHaul.EnableWindow(TRUE);
	}
	SysInfo->GetData(CPU_FLAG_LONG_RUN,(DWORD*)&data);
	if( data > 0 ){
		m_LongRun.EnableWindow(TRUE);
	}
// Architecture
	m_Architecture = SysInfo->GetInfo(CPU_ARCHITECTURE,str);

// for Transmeta
/*
	SysInfo->GetString(CPU_TM_NAME_STRING,str);				m_TmNameString = str;
	SysInfo->GetData(CPU_TM_CLOCK,(DWORD*)&data);			if(data>0){m_TmClock.Format("%d",data);};
	SysInfo->GetData(CPU_TM_NOMINAL_CLOCK,(DWORD*)&data);	if(data>0){m_TmNominalClock.Format("%d",data);};
*/
// Xgr[̍\z
	LVCOLUMN myColumn;
	myColumn.mask = LVCF_TEXT | LVCF_WIDTH | LVCF_ORDER ;
	// Rg[̕擾
	CRect cr;m_CPUCacheList.GetClientRect(cr);
	DWORD width = cr.Width() - GetSystemMetrics(SM_CXVSCROLL);

	double comctl32 = GetFileVersion("comctl32.dll");
	if( comctl32 >= 470 ){
		long dwStyle = ListView_GetExtendedListViewStyle(m_CPUCacheList.m_hWnd);
		dwStyle |=	LVS_EX_FULLROWSELECT | LVS_EX_GRIDLINES;
		ListView_SetExtendedListViewStyle(m_CPUCacheList.m_hWnd, dwStyle);
	}
	if( comctl32 >= 471 ){
		m_CPUCacheList.GetHeaderCtrl()->EnableWindow(FALSE);
	}

	while(m_CPUCacheList.DeleteColumn(0)){}
	m_CPUCacheList.DeleteAllItems();
	m_CPUCacheList.InsertColumn(0,"Cache",LVCFMT_CENTER,width * 5 / 20,0);
	m_CPUCacheList.InsertColumn(1,"Detail Info",LVCFMT_LEFT,width * 15 / 20,0);

	LVITEM myItem;
	memset(&myItem,0,sizeof(LVITEM));
	myItem.mask = LVIF_TEXT;

// Cache Info //
	cstr.Empty();m_CacheL1ITU = "L1 I-Cache";m_CacheL1ITUUnit = "KB";
	SysInfo->GetData(CPU_CACHE_L1U,(DWORD*)&data);	if(data > 0){cstr.Format("%d",data);m_L1UCache = cstr;m_CacheL1ITU = "L1 Unified";m_CacheL1ITUUnit = "KB";}
	SysInfo->GetData(CPU_CACHE_L1I,(DWORD*)&data);	if(data > 0){cstr.Format("%d",data);m_L1ICache = cstr;m_CacheL1ITU = "L1 I-Cache";m_CacheL1ITUUnit = "KB";}
	SysInfo->GetData(CPU_CACHE_L1T,(DWORD*)&data);	if(data > 0){cstr.Format("%d",data);m_L1TCache = cstr;m_CacheL1ITU = "L1 T-Cache";m_CacheL1ITUUnit = "KuOps";}
	m_L1ITUCache = cstr;
	SysInfo->GetData(CPU_CACHE_L1D,(DWORD*)&data);
	cstr.Format("%d",data);if(data > 0){m_L1DataCache = cstr;}
	SysInfo->GetData(CPU_CACHE_L2,(DWORD*)&data);
	cstr.Format("%d",data);if(data > 0){m_L2Cache  = cstr;}
	SysInfo->GetData(CPU_CACHE_L3,(DWORD*)&data);
	cstr.Format("%d",data);if(data > 0){m_L3Cache  = cstr;}
		
	// ڍ׏\
	SysInfo->GetData(CPU_CACHE_L1ITU_WAYS,(DWORD*)&data);
	if(data > 0){
		myItem.iItem = 0;
		myItem.iSubItem = 0;
		myItem.pszText = (char*)(const char*)m_CacheL1ITU;
		m_CPUCacheList.InsertItem(&myItem);
		myItem.iSubItem = 1;
		SysInfo->GetString(CPU_CACHE_L1ITU_WAYS,str1);
		SysInfo->GetString(CPU_CACHE_L1ITU_LINES,str2);
		if(atoi(str2) > 0){
			sprintf(str,"%s %s, %s way set associative, %s byte line size.",m_L1ITUCache,m_CacheL1ITUUnit,str1,str2);
		}else{
			sprintf(str,"%s %s, %s way set associative.",m_L1ITUCache,m_CacheL1ITUUnit,str1);
		}
		myItem.pszText = str;
		m_CPUCacheList.SetItem(&myItem);
	}
	SysInfo->GetData(CPU_CACHE_L1D_WAYS,(DWORD*)&data);
	if(data > 0){
		myItem.iItem = 1;
		myItem.iSubItem = 0;
		myItem.pszText = "L1 D-Cache";
		m_CPUCacheList.InsertItem(&myItem);
		myItem.iSubItem = 1;
		SysInfo->GetString(CPU_CACHE_L1D_WAYS,str1);
		SysInfo->GetString(CPU_CACHE_L1D_LINES,str2);
		sprintf(str,"%s KB, %s way set associative, %s byte line size.",m_L1DataCache,str1,str2);
		myItem.pszText = str;
		m_CPUCacheList.SetItem(&myItem);
	}
	SysInfo->GetData(CPU_CACHE_L2_WAYS,(DWORD*)&data);
	if(data > 0){
		myItem.iItem = 2;
		myItem.iSubItem = 0;
		myItem.pszText = "L2 Cache";
		m_CPUCacheList.InsertItem(&myItem);
		myItem.iSubItem = 1;
		SysInfo->GetString(CPU_CACHE_L2_WAYS,str1);
		SysInfo->GetString(CPU_CACHE_L2_LINES,str2);
		sprintf(str,"%s KB, %s way set associative, %s byte line size.",m_L2Cache,str1,str2);
		myItem.pszText = str;
		m_CPUCacheList.SetItem(&myItem);
	}
	SysInfo->GetData(CPU_CACHE_L3_WAYS,(DWORD*)&data);
	if(data > 0){
		myItem.iItem = 3;
		myItem.iSubItem = 0;
		myItem.pszText = "L3 Cache";
		m_CPUCacheList.InsertItem(&myItem);
		myItem.iSubItem = 1;
		SysInfo->GetString(CPU_CACHE_L3_WAYS,str1);
		SysInfo->GetString(CPU_CACHE_L3_LINES,str2);
		sprintf(str,"%s KB, %s way set associative, %s byte line size.",m_L3Cache,str1,str2);
		myItem.pszText = str;
		m_CPUCacheList.SetItem(&myItem);
	}

	SysInfo->GetString(CPU_CACHE_SPEED,str);		if(atof(str) > 0.0){cstr.Format("%4.2f",atof(str) * atof(m_Clock));	m_L2CacheSpeedMHz  = cstr;}
	SysInfo->GetString(CPU_CACHE_SPEED_STR,str);	if(strcmp(str,"") != 0){m_L2CacheSpeed  = str;}

// Debug Info
	SysInfo->GetData(CPU_RDMSR_EAX_1,(DWORD*)&data1);
	SysInfo->GetData(CPU_RDMSR_EDX_1,(DWORD*)&data2);
	cstr.Format("EAX = %08X, EDX = %08X\r\n",data1,data2);
	m_MSRInfo = cstr;
	SysInfo->GetData(CPU_RDMSR_EAX_2,(DWORD*)&data1);
	SysInfo->GetData(CPU_RDMSR_EDX_2,(DWORD*)&data2);
	cstr.Format("EAX = %08X, EDX = %08X\r\n",data1,data2);
	m_MSRInfo += cstr;

	CString OSName,OSType,OSCSD,OSVersion,OSBuild,OSInfo;
	GetOSInfo(OSName,OSType,OSCSD,OSVersion,OSBuild,OSInfo);
	
	m_OS = OSName;
	if( ! OSType.IsEmpty() ){
		m_OS += " " + OSType;
	}
	if( ! OSCSD.IsEmpty() ){
		m_OS += " " + OSCSD;
	}
	m_OS += " [ " + OSVersion + " Build " + OSBuild + " ]";
	m_OS.Replace("Service Pack ","SP");


	UpdateData(FALSE);
	Invalidate();
	UpdateWindow();

	if(flag){
		Parent->DisconnectSysInfo();
	}

	EndWaitCursor();
}

void CCPUDlg::OnSelchangeCpuSelect() 
{
	CString cstr;
	m_CPUSelectC.GetLBText(m_CPUSelectC.GetCurSel(),cstr);
	cstr.Replace("CPU","");
	m_Mask = atoi(cstr) - 1;
	Refresh(TRUE);
	// RankingDlg XV
	Parent->m_RankingDlg->SetCpuInfo();
//	MessageBox(cstr);
}

void GetCPUID(DWORD id,DWORD* A,DWORD* B,DWORD* C,DWORD* D)
{
	DWORD dwEAX,dwEBX,dwECX,dwEDX;
	_asm{
		mov eax,id
		cpuid
		mov dwEAX , eax
		mov dwEBX , ebx	
		mov dwECX , ecx
		mov dwEDX , edx
	}
	*A = dwEAX;
	*B = dwEBX;
	*C = dwECX;
	*D = dwEDX;
}

HBRUSH CCPUDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);

	if( gFlagBack ){
		switch (nCtlColor)
		{
			case CTLCOLOR_STATIC:
			{
				pDC->SetTextColor(gTextColor);
				pDC->SetBkMode(TRANSPARENT);
				return (HBRUSH)GetStockObject(HOLLOW_BRUSH);
			}
			case CTLCOLOR_DLG:
			{
				return (HBRUSH)gBackBrush;
			}
		}
	}else{
		switch (nCtlColor)
		{
			case CTLCOLOR_STATIC:
			{
				pDC->SetTextColor(gTextColor);
		//		pDC->SetBkMode(TRANSPARENT);
			}
		}
	}

	return hbr;
}
